## Created by Ray Becker, 19/07/2018
## Edited by Jon Tennant, 20/07/2018


install.packages('rworldmap',dependencies = TRUE)

library(rworldmap)

browncoats <- as.data.frame(read.csv("~/Signatories.csv")) ## Add your own filepath here
countries.browncoats <- as.data.frame(table(browncoats$Country))
colnames(countries.browncoats) <- c("country", "value")
matched <- joinCountryData2Map(countries.browncoats
					, joinCode="NAME"
					, nameJoinColumn="country"
					, verbose=TRUE
					)

# map of the world
jpeg('Signatories_world.jpg', height = 800, width = 1200) ## Creates image to export
par(mai=c(0,0,0.2,0),xaxs="i",yaxs="i") 
mapCountryData(matched
		  , nameColumnToPlot="value"
		  , mapTitle="Petition signers by Country"
		  , catMethod = "fixedWidth"
		  , colourPalette = "heat"
		  )
countries.browncoats
dev.off()

# map of Europe/UK
# Other options for mapRegion are "Eurasia, "UK", "africa", "latin america", "oceana"
jpeg('Signatories_EU.jpg', height = 800, width = 1200)
par(mai=c(0,0,0.2,0),xaxs="i",yaxs="i")
mapParam <- mapCountryData(matched
		  , nameColumnToPlot="value"
		  , mapTitle="Petition signers by Country"
		  , mapRegion="Europe"
		  , catMethod="fixedWidth"
		  , colourPalette = "heat"
		  , oceanCol='lightblue'
		  , missingCountryCol='white'
		  , borderCol='black'
		  , addLegend=FALSE
		  )
do.call( addMapLegend, c(mapParam, legendWidth=0.5, legendMar = 2))
dev.off()